# frozen_string_literal: true

require 'cht-lib-fabric/error_codes'

module Tenant
  module ErrorCodes
    include ::Platform::ErrorCodes
    INVALID_CRN = 'invalid_crn'
    NOT_AUTHORIZED = 'not_authorized'

    # Shard assignment-related error codes
    INVALID_DATA_STORE = 'invalid_data_store'
    ASSIGNMENT_NOT_FOUND = 'assignment_not_found'
  end
end
