module Tenant
  module Errors
    class TenantServiceError < StandardError
      attr_reader :tenant_id, :csp_organization_id

      def initialize(tenant_id, msg, csp_organization_id = nil)
        @tenant_id = tenant_id
        @csp_organization_id = csp_organization_id
        super(msg)
      end
    end
  end
end