# frozen_string_literal: true

require 'cht-lib-fabric/crns/tenant'

module Tenant
  module Models
    # noinspection ALL
    class Tenant < ::Dry::Struct
      attribute :id, ::Platform::CRNs::Tenant
      attribute :name, ::Platform::DryTypes::Strict::String
      attribute :isMsp, ::Platform::DryTypes::Strict::Bool.default(false)
      attribute :serviceProviderId, ::Platform::CRNs::Tenant.optional.default(nil)
      attribute :sessionLength, ::Platform::DryTypes::Strict::Integer.optional.default(nil)
      attribute :customerTenantSupportLink, ::Platform::DryTypes::Strict::Bool.default(true)
    end
  end
end
